Bug 1043469 - ovirt-guest-agent for openSUSE
Summary: ovirt-guest-agent for openSUSE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-guest-agent
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 12:02 UTC by Vinzenz Feenstra [evilissimo]
Modified: 2014-03-31 12:24 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.4.0-ga
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 12:24:03 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Vinzenz Feenstra [evilissimo] 2013-12-16 12:02:10 UTC
The oVirt Guest Agent needs to be packaged for and ported to openSUSE

Comment 1 Yedidyah Bar David 2014-01-23 11:46:32 UTC
Installed and setup engine from 3.4 beta repo

Installed opensuse 13.1 in a VM

In the VM did:
# zypper addrepo http://download.opensuse.org/repositories/home:/evilissimo/openSUSE_13.1/home:evilissimo.repo
# zypper install ovirt-guest-agent
# systemctl start ovirt-guest-agent

Then, in the admin interface, under this VM, I see:
* Memory gets updated. Checked by doing in python 'l=range(10000000)' and exiting after a while.
* Under "applications" I see 3 installed applications (kernel-desktop, ovirt-guest-agent-common, xf86-video-qxl)
* Under sessions I see the logged in user

Problems/Issues:
* "Guest Agent Data" under "Network Interfaces" shows nothing. 'vdsClient -s 0 getAllVmStats' does show correct info.

Not moving to VERIFIED due to the above issue. Might be considered minor, though.

Comment 2 Yedidyah Bar David 2014-01-23 13:10:50 UTC
Tried this also with a fedora 19 guest, and it behaves the same way - network tab does not show anything under 'Guest Agent Data'. So moving to VERIFIED.

Comment 3 Yedidyah Bar David 2014-01-26 08:39:11 UTC
We should probably publish it more cleanly - either get it included in opensuse or provide a repo or whatever. Also the wiki page http://www.ovirt.org/Feature/GuestAgentOpenSUSE should probably be updated.

Comment 4 Sandro Bonazzola 2014-03-31 12:24:03 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.